Dedicated and Listen Servers Patches (OpenUGSP(exVUP))

Обсуждаем все, что относится к выделенным серверам *NIX (Unix, Linux) и Windows

<t>Какой пач вы предпочитаете</t>

ViTYAN
606
45%
REVOLUTiON
149
11%
PROViSiON
25
2%
Свой :D :D
121
9%
Нах не нужны пачи - У мну оффициальный сервак
127
9%
А о чём ваще речь? ROFL
310
23%
 
Всего голосов: 1338

Сообщение
Автор
Аватара пользователя
pinkpiton2
Майор
Майор
Сообщения: 724
Зарегистрирован: 06.08.2008
Откуда: Одесса
Благодарил (а): 1 раз
Поблагодарили: 1 раз

#1651 Сообщение 15.01.2010, 04:08

на удивление пропатченый под виндами найденым в ветке Est vup-ом и самим Est2 серв TF2 на opensuse 11.2 взлетел нормально
лиценз заходит нормально и SteamUp! 2.1.4 отдал нормально steam_id
остальное пока не проверял

ЗЫЖ после последнего апдейта TF2 серв стал менее кровожаден по процу
чтение инструкции - 5$/строка.
чтение инструкции с выражением - 25$/строка.
чтение инструкции с пошаговым выполнением - прямо пропорционально тупости заказчика, но не менее 500$.

Mouzes
Сержант
Сержант
Сообщения: 56
Зарегистрирован: 13.01.2009

#1652 Сообщение 15.01.2010, 08:04

Спсибо кончено за новый вап но:

[[email protected] bin]# ./VUP
./vup_amd64: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_amd64)

[[email protected] bin]# ./VUP
./vup_i686: /lib/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_i686)

ЁМана, да у меня нет в репах GLIBC_2.7'

[[email protected] bin]# yum install glibc
Setting up Install Process
Package glibc-2.5-42.el5_4.2.asp121.x86_64 already installed and latest version

[[email protected] bin]# yum update glibc
Setting up Update Process
No Packages marked for Update

а подключать чужие репы, чтобы всю систему подвергнуть глюковатости врядли кто будет, либо репы официальные либо никаких, а компилить под 64х взяв исходники производителя это ещё та заморочка, придётся откатится на старый вап (

Аватара пользователя
Jeka
Майор
Майор
Сообщения: 624
Зарегистрирован: 28.03.2009
Поблагодарили: 11 раз

#1653 Сообщение 15.01.2010, 10:46

Mouzes писал(а):Спсибо кончено за новый вап но:

[[email protected] bin]# ./VUP
./vup_amd64: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_amd64)

[[email protected] bin]# ./VUP
./vup_i686: /lib/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_i686)

ЁМана, да у меня нет в репах GLIBC_2.7'

[[email protected] bin]# yum install glibc
Setting up Install Process
Package glibc-2.5-42.el5_4.2.asp121.x86_64 already installed and latest version

[[email protected] bin]# yum update glibc
Setting up Update Process
No Packages marked for Update

а подключать чужие репы, чтобы всю систему подвергнуть глюковатости врядли кто будет, либо репы официальные либо никаких, а компилить под 64х взяв исходники производителя это ещё та заморочка, придётся откатится на старый вап (
патч под вендой
Три ярких цвета - это Российский флаг !
Если ты не патриот, ты не русский, а мудак !

Mouzes
Сержант
Сержант
Сообщения: 56
Зарегистрирован: 13.01.2009

#1654 Сообщение 15.01.2010, 12:58

Jeka1980 писал(а):
Mouzes писал(а):Спсибо кончено за новый вап но:

[[email protected] bin]# ./VUP
./vup_amd64: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_amd64)

[[email protected] bin]# ./VUP
./vup_i686: /lib/libc.so.6: version `GLIBC_2.7' not found (required by ./vup_i686)

ЁМана, да у меня нет в репах GLIBC_2.7'

[[email protected] bin]# yum install glibc
Setting up Install Process
Package glibc-2.5-42.el5_4.2.asp121.x86_64 already installed and latest version

[[email protected] bin]# yum update glibc
Setting up Update Process
No Packages marked for Update

а подключать чужие репы, чтобы всю систему подвергнуть глюковатости врядли кто будет, либо репы официальные либо никаких, а компилить под 64х взяв исходники производителя это ещё та заморочка, придётся откатится на старый вап (
патч под вендой
Емммм, сошку под вендой? Чёт первый раз слышу о таком....

Аватара пользователя
NiGHt-LEshiY
Полковник
Полковник
Сообщения: 10258
Зарегистрирован: 13.06.2008
Откуда: Россия
Благодарил (а): 752 раза
Поблагодарили: 2667 раз
Контактная информация:

#1655 Сообщение 15.01.2010, 14:39

Jeka1980
Не совсем так. Если ты соберешь "одинаковое" по опциям ядро в Suse, а затем в Debian, то увидишь, что на выходе ядра получились разными...
Да и "обвязка" играет далеко не самую последнюю роль... Большое количество уязвимостей встречаются не в ядре, а в пакетах, обеспечивающих дополнительный функционал, скажем так.
Кодекс поведения участников сообщества — обязательно к прочтению.
Просьба присылать сообщения об ошибках в ЛС.

Аватара пользователя
impulse666
Полковник
Полковник
Сообщения: 7405
Зарегистрирован: 08.12.2005
Откуда: Atman
Благодарил (а): 2340 раз
Поблагодарили: 590 раз

#1656 Сообщение 15.01.2010, 16:57

Mouzes писал(а):Емммм, сошку под вендой? Чёт первый раз слышу о таком....
Выдам баню на пару недель, это ВУП, деточка, им можно патчить и дллки под никсом..
Изображение
Негласные Правила
1. Пропаганда лицензии запрещена.
2. На форуме режим многоступенчатых стандартов Ψ. То что можно одним, нельзя другим. Решается правящей партией
3. Ники членов правящей партии (impulse666, NiGHt-LEshiY, SHADOW) искажают только в случае необходимости получить БАН.

...воздержитесь от этого, изучите вот это.
Лучшая статья о моих взглядах. Настоятельно рекомендую.

Аватара пользователя
pinkpiton2
Майор
Майор
Сообщения: 724
Зарегистрирован: 06.08.2008
Откуда: Одесса
Благодарил (а): 1 раз
Поблагодарили: 1 раз

#1657 Сообщение 15.01.2010, 17:27

NiGHt-LEshiY писал(а):Jeka1980
Не совсем так. Если ты соберешь "одинаковое" по опциям ядро в Suse, а затем в Debian, то увидишь, что на выходе ядра получились разными...
Да и "обвязка" играет далеко не самую последнюю роль... Большое количество уязвимостей встречаются не в ядре, а в пакетах, обеспечивающих дополнительный функционал, скажем так.
так никто и не сомневается
патчи для дебина пишет сам дебиан
патчи для сусей пишет мелкософт
вот тебе уже объяснение почему ядро в сусях всегда больше по размеру и пожираемым ресурсам


Добавлено спустя 4 минуты 20 секунд:
Mouzes писал(а):Емммм, сошку под вендой? Чёт первый раз слышу о таком....
так а в чём проблема ?
vup в линухах и dll-ки нормально понимает
вопрос не в том, чтобы so-шки в виндах запустить, а в том, чтобы найти в них определённую последовательность и заменить её другой не менее определённой
чтение инструкции - 5$/строка.
чтение инструкции с выражением - 25$/строка.
чтение инструкции с пошаговым выполнением - прямо пропорционально тупости заказчика, но не менее 500$.

Аватара пользователя
NiGHt-LEshiY
Полковник
Полковник
Сообщения: 10258
Зарегистрирован: 13.06.2008
Откуда: Россия
Благодарил (а): 752 раза
Поблагодарили: 2667 раз
Контактная информация:

#1658 Сообщение 15.01.2010, 17:38

pinkpiton2
Я не совсем это имел в виду, но ты прав...
Кодекс поведения участников сообщества — обязательно к прочтению.
Просьба присылать сообщения об ошибках в ЛС.

Аватара пользователя
Jeka
Майор
Майор
Сообщения: 624
Зарегистрирован: 28.03.2009
Поблагодарили: 11 раз

#1659 Сообщение 15.01.2010, 20:05

всё всё всё =) заканчиваем холивар =) каждый юзает что ему удобно и для конкретных целей =)
Три ярких цвета - это Российский флаг !
Если ты не патриот, ты не русский, а мудак !

vityan666
Майор
Майор
Сообщения: 658
Зарегистрирован: 14.04.2007

#1660 Сообщение 16.01.2010, 04:37

[Mouzes]
Емммм, сошку под вендой? Чёт первый раз слышу о таком....
С самого начала я разработал открытую кроссплатформенную библиотеку OpenPtch с поддержкой множества форматов двоичных файлов(В частности New PE/PE+ и ELF32/ELF64) которую и использует VUP. Так что не важно какой VUP запускаете(Линуховый или Виндовый) можно пачить как ELF бинарники/либы(сошки/испольняемые файлы) так и .EXE/.DLL. Мона пачить DLL из под линуха и .SO из под винды без всяких проблем.

То что VUP виндовый не говорит о том что он пачит только виндовые файлы(Тоже и про линуховый).


[pinkpiton2]
вопрос не в том, чтобы so-шки в виндах запустить, а в том, чтобы найти в них определённую последовательность и заменить её другой не менее определённой
Знали бы побольше неписали бы эту чушь... VUP используя спец функции OpenPtch читает данные о секциях в ELF модуле(Это вам не последовательность найти) особенно для fPIC модулей с позиционно-независимой адресацией. А "запустить" - VUP ничего нигде не запускает. Это "статический" пачер.
VUP знает о формате файла(PE/ELF) гораздо раньше чем определяет тип игры к которой этот файл относится...

Единственное что OpenPtch не понимает это древний юниховый формат a.out который уже практически нигде не используется и полностью заменён ELF-ом.

[All]

Встречаем ...
VUP 2.4 FiNAL и 2.4 UPDATE 1 HAPPY NEW YEAR:)

Список изменений:

v2.4 UPDATE 1
1)В проверке стим сертификата для Source 2007 U1(L4D1/L4D2 для Linux) релокация теперь помечается как неактивная.

v2.4 FiNAL
1)Исправлен пачинг сертификатов для движков Source 2007 U1(Win/Lin)
Изменение относительно версии 2.4-PreFiNAL:
Инжектируемый код использует в своих целях регистр который в L4D2 в отличие от остальных используется для передачи IP адреса клиента функции
валидации(Инжектируемый код сохраняет в этом регистре длинну Steam сертификата) что и вызывало крах при попытке подключения лицензионщиков
на PreFiNAL. Теперь инжектируемый код соцраняет значение данного регистра и возвращает его в исходную стадию при выходе(это привело к
увеличению размера инжектируемого кода и он стал пересекаться с динамической релокацией - Я расширил OpenPtch и добавил поддержку обработки
и поиска релокаций - VUP сдвинет релокацию вверх по адресному пространству за пределы инжектируемого кода).
ВНИМАНИЕ: Эту версию мы с импом тестировали лично - на сервак L4D2-Linux зашли как лицензия так и RevEmu без всяких проблем.
2) libc(Glibc)/libgcc теперь слинкованы статически - есть референсы на динамический libc(2.0) но большинство символов слинковано в бинарники
статически(Символов версии GLIBC_2.7 больше нету).
3) Добавлены vup86alt.exe(LCC-Win32) и vup64alt.exe(Pelles C X64) для тех у кого обычные vup86.exe/vup64.exe не пашут(валятся при старте или
закрываются втихаря - в основном происходит на XP/Server 2003)
4) vup86.exe/vup64.exe собраны компоновщиками MingW64-X32/MingW64-X64 15.01.2009
Местный Дьявол
Проекты:
OpenPtch Library
eSTEAMATiON VUP/OpenUGSP UP 1.9.XX
UKAIP
SmartFTP Universal Keyfilemaker and Patch
BootIt NG Keymaker and Patch
Iceni Infix 4.X Universal Patch
Killing Floor Deadly Survival MOD

bir3yk
Полковник
Полковник
Сообщения: 1346
Зарегистрирован: 07.09.2009
Поблагодарили: 26 раз

#1661 Сообщение 16.01.2010, 22:22

vityan666 привет...как происходит запуск сервера l4d2 с вупом так чтобы он работал? :)

что сделано мной:
1. engine_linux.so пропатчен с -esteamation-prep
2. libSCI.so
3. vlvticket.so <- libsteamvalidateuseridtickets.so оригинальный
4. libsteamvalidateuseridtickets.so твой

при обычном запуске под стиамапом зайти не получается....что еще надо сделать?

если патчить так: vup86.exe engine_linux.so сервак сегфолтится при старте.
Изображение

BeHuK
Лейтенант
Лейтенант
Сообщения: 147
Зарегистрирован: 25.05.2008

#1662 Сообщение 16.01.2010, 22:54

После обновления сервера опять патчить? %)

Аватара пользователя
pinkpiton2
Майор
Майор
Сообщения: 724
Зарегистрирован: 06.08.2008
Откуда: Одесса
Благодарил (а): 1 раз
Поблагодарили: 1 раз

#1663 Сообщение 16.01.2010, 22:59

[pinkpiton2]
вопрос не в том, чтобы so-шки в виндах запустить, а в том, чтобы найти в них определённую последовательность и заменить её другой не менее определённой
Знали бы побольше неписали бы эту чушь...
это было обьяснение "на пальцах" принципов работы большого андронного коллайдера
:)

Встречаем ...
VUP 2.4 FiNAL и 2.4 UPDATE 1 HAPPY NEW YEAR:)
ОГО... осталось дождаться estimations и можно закатывать большую пьянку
пожалуй стоит TF2 попробовать перепатчить, а то мне сетти рапортует что у меня 2 серва в оффлайне
хотя кроме пары TF2 есть ещё пара CSS и пара HL2DM и адын InsMOD, которым показывается стабильно онлайн

ЗЫЖ есть ещё неприятный момент, который появился после VUP-ирования на голом сервере (vup 2.4 pre)
если в консоли скомандовать map map_name то в 2 случаях из 10 серв валится в кору
но наблюдается только на opensuse, так что пока грешу на саму систему
чтение инструкции - 5$/строка.
чтение инструкции с выражением - 25$/строка.
чтение инструкции с пошаговым выполнением - прямо пропорционально тупости заказчика, но не менее 500$.

vityan666
Майор
Майор
Сообщения: 658
Зарегистрирован: 14.04.2007

#1664 Сообщение 16.01.2010, 23:06

[bir3yk]
если патчить так: vup86.exe engine_linux.so сервак сегфолтится при старте.
Рапорт подтверждён - по сигфольту динамическому лодырю ненрабится заменённый аттрибют релокации.
Это и есть изменение добавленное в 2.4 UPDATE 1.

Убрал 2.4 UPDATE 1 и вернул ссылки на рабочий 2.4 FiNAL на главную.
Удачи и спс за рапорт.
ЗЫЖ есть ещё неприятный момент, который появился после VUP-ирования на голом сервере (vup 2.4 pre)
если в консоли скомандовать map map_name то в 2 случаях из 10 серв валится в кору
но наблюдается только на opensuse, так что пока грешу на саму систему
Серв какой игры?
Если L4D1/L4D2 для Никсов то пробуйте 2.4-FiNAL.
Местный Дьявол
Проекты:
OpenPtch Library
eSTEAMATiON VUP/OpenUGSP UP 1.9.XX
UKAIP
SmartFTP Universal Keyfilemaker and Patch
BootIt NG Keymaker and Patch
Iceni Infix 4.X Universal Patch
Killing Floor Deadly Survival MOD

Аватара пользователя
[»Twilight«]
Капитан
Капитан
Сообщения: 277
Зарегистрирован: 22.05.2007
Откуда: "Heaven's Night" Club, 2121 Carroll Street, Silent Hill, ME [Ukraine]
Контактная информация:

#1665 Сообщение 16.01.2010, 23:17

pinkpiton2 писал(а):если в консоли скомандовать map map_name то в 2 случаях из 10 серв валится в кору
Аналогично с CSS/Win32, только шанс краша повыше )
Будем пробовать 2.4Final. (если сумею скачать с гребанной рапиды без премиума)
If you are the Receiver of Wisdom, you will understand my words...
Изображение

Закрыто Вложения 10